The Perfect Server FC16 errors

Discussion in 'HOWTO-Related Questions' started by ACDII, Aug 2, 2011.

  1. ACDII

    ACDII Member

    Following the The Perfect Server - Fedora 15 x86_64 [ISPConfig 3] install, I am running into a build problem with Courier.

    sudo rpmbuild -ta courier-authlib-0.63.0.tar.bz2
    error: Failed build dependencies:
    gcc-c++ is needed by courier-authlib-0.63.0-1.fc15.i686

    sudo yum install gcc-c++
    Error: Package: libstdc++-devel-4.6.0-9.fc15.i686 (updates)
    Requires: libstdc++(x86-32) = 4.6.0-9.fc15
    Installed: libstdc++-4.6.0-10.fc15.i686 (@updates-testing)
    libstdc++(x86-32) = 4.6.0-10.fc15
    Available: libstdc++-4.6.0-6.fc15.i686 (fedora)
    libstdc++(x86-32) = 4.6.0-6.fc15
    Available: libstdc++-4.6.0-9.fc15.i686 (updates)
    libstdc++(x86-32) = 4.6.0-9.fc15
    Error: Package: gcc-c++-4.6.0-9.fc15.i686 (updates)
    Requires: libstdc++ = 4.6.0-9.fc15
    Installed: libstdc++-4.6.0-10.fc15.i686 (@updates-testing)
    libstdc++ = 4.6.0-10.fc15
    Available: libstdc++-4.6.0-6.fc15.i686 (fedora)
    libstdc++ = 4.6.0-6.fc15
    Available: libstdc++-4.6.0-9.fc15.i686 (updates)
    libstdc++ = 4.6.0-9.fc15

    I tried to remove the libstdc++-4.6.0-10.fc15.i686, but it errors that yum cant be removed. I guess a lot has dependencies on this file, and is preventing me from installing the correct version needed.

    Attached are other errors encountered prior to the Courier portion.

    Am I using the correct howto for an i686 install?

    Attached Files:

    Last edited: Aug 2, 2011
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    Thats the reason why we havent published the Fedora 16 guide yet. At the moment, Courier can not be compiled on Fedora and other packages are also missing. We will publish a guide for ISPConfig 3 on Fedora 16 when these issues have been solved in the fedora repositories.

    If you want to have a stable envirioment for ISPConfig 3, better Use Debian Linux.
  3. ACDII

    ACDII Member

    Is courier needed? I just plan to use this for DNS, but need a front end for managing the DNS records that doesn't require a lot of training. I need a first level support front end.
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    Courier is only needecwhen you want to use the system as emailserver. You can skip the courier installation if you want to setup a dns server.

Share This Page